// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


void SetBufferBusy(EDITOR_BUFFER *buffer);
void ClearBufferBusy(EDITOR_BUFFER *buffer);
bool BufferBusy(EDITOR_BUFFER *buffer);
EDITOR_BUFFER *EditorGetFirstBuffer();
EDITOR_BUFFER *EditorGetNextBuffer(EDITOR_BUFFER *buffer);
EDITOR_BUFFER *LocateBuffer(const char *bufferName);
void EditorCloseBuffer(EDITOR_BUFFER *buffer);
void EditorReleaseBufferHandle(EDITOR_BUFFER_HANDLE *handle);
void EditorGrabBufferHandle(EDITOR_BUFFER_HANDLE *handle,EDITOR_BUFFER *buffer);
EDITOR_BUFFER *EditorGetBufferFromHandle(EDITOR_BUFFER_HANDLE *handle);
void EditorInitBufferHandle(EDITOR_BUFFER_HANDLE *handle);
bool EditorRevertBuffer(EDITOR_BUFFER *buffer);
bool EditorSaveBufferTo(EDITOR_BUFFER *buffer,const char *path);
bool EditorSaveBufferAs(EDITOR_BUFFER *buffer,const char *path);
bool EditorSaveBuffer(EDITOR_BUFFER *buffer);
EDITOR_BUFFER *EditorNewBuffer(const char *bufferName);
EDITOR_BUFFER *EditorOpenBuffer(const char *path);
void UnInitBuffers();
bool InitBuffers();
