// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


void SplitPathAndFile(char *fullPath,char *pathPart,char *filePart);
void ConcatPathAndFile(const char *path,const char *file,char *result);
void FreeStringList(char **list);
void SortStringList(char **list,UINT32 numElements);
bool ReplaceStringInList(const char *string,char **list,UINT32 element);
bool AddStringToList(const char *string,char ***list,UINT32 *numElements);
char **NewStringList();
char **Glob(const char *path,const char *pattern,bool dontGlobLast,bool passNoMeta,UINT32 *numElements);
char **GlobAll(const char *path,UINT32 *numElements);
