// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


EDITOR_MENU *GetRelatedEditorMenu(EDITOR_MENU *menu,int menuRelationship);
void UpdateMenuWindow(EDITOR_WINDOW *window);
void DeactivateEditorMenu(EDITOR_MENU *menu);
void ActivateEditorMenu(EDITOR_MENU *menu);
char *GetEditorMenuName(EDITOR_MENU *menu);
bool SetEditorMenuName(EDITOR_MENU *menu,const char *name);
char *GetEditorMenuAttributes(EDITOR_MENU *menu);
bool SetEditorMenuAttributes(EDITOR_MENU *menu,const char *attributes);
char *GetEditorMenuDataText(EDITOR_MENU *menu);
bool SetEditorMenuDataText(EDITOR_MENU *menu,const char *dataText);
bool GetEditorMenu(int argc,const char *argv[],EDITOR_MENU **menu);
void RealizeEditorMenu(EDITOR_MENU* menu);
void DisposeEditorMenu(EDITOR_MENU *menu);
EDITOR_MENU *CreateEditorMenu(int argc,const char *argv[],int menuRelationship,const char *name,const char *attributes,const char *dataText,bool active);
bool AttemptMenuKeyPress(XEvent *event);
void MenuWindowEvent(EDITOR_WINDOW *window,XEvent *event);
void RaiseRootMenu();
bool InitEditorMenus();
void UnInitEditorMenus();
