// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".


void ViewEndSelectionChange(EDITOR_VIEW *view);
void ViewStartSelectionChange(EDITOR_VIEW *view);
void ViewEndMarkChange(MARK_VISIBILITY *visibility);
void ViewStartMarkChange(MARK_VISIBILITY *visibility);
void ViewEndStyleAttributeChange(EDITOR_VIEW *view);
void ViewStartStyleAttributeChange(EDITOR_VIEW *view);
void ViewEndStyleChange(EDITOR_VIEW *view);
void ViewStartStyleChange(EDITOR_VIEW *view);
void ViewEndTabSizeChange(EDITOR_VIEW *view);
void ViewStartTabSizeChange(EDITOR_VIEW *view);
void ViewEndTextChange(EDITOR_VIEW *view);
void ViewStartTextChange(EDITOR_VIEW *view);
void ViewEndActiveChange(EDITOR_VIEW *view);
void ViewStartActiveChange(EDITOR_VIEW *view);
UINT32 GetEditorViewTabSize(EDITOR_VIEW *view);
bool SetEditorViewTabSize(EDITOR_VIEW *view,UINT32 size);
bool GetEditorViewStyleFont(EDITOR_VIEW *view,UINT32 style,char *font,UINT32 stringBytes);
bool SetEditorViewStyleFont(EDITOR_VIEW *view,UINT32 style,char *font);
void ClearEditorViewStyleFont(EDITOR_VIEW *view,UINT32 style);
bool GetEditorViewStyleForegroundColor(EDITOR_VIEW *view,UINT32 style,EDITOR_COLOR *foregroundColor);
bool SetEditorViewStyleForegroundColor(EDITOR_VIEW *view,UINT32 style,EDITOR_COLOR foregroundColor);
void ClearEditorViewStyleForegroundColor(EDITOR_VIEW *view,UINT32 style);
bool GetEditorViewStyleBackgroundColor(EDITOR_VIEW *view,UINT32 style,EDITOR_COLOR *backgroundColor);
bool SetEditorViewStyleBackgroundColor(EDITOR_VIEW *view,UINT32 style,EDITOR_COLOR backgroundColor);
void ClearEditorViewStyleBackgroundColor(EDITOR_VIEW *view,UINT32 style);
bool GetEditorViewSelectionForegroundColor(EDITOR_VIEW *view,EDITOR_COLOR *foregroundColor);
bool SetEditorViewSelectionForegroundColor(EDITOR_VIEW *view,EDITOR_COLOR foregroundColor);
void ClearEditorViewSelectionForegroundColor(EDITOR_VIEW *view);
bool GetEditorViewSelectionBackgroundColor(EDITOR_VIEW *view,EDITOR_COLOR *backgroundColor);
bool SetEditorViewSelectionBackgroundColor(EDITOR_VIEW *view,EDITOR_COLOR backgroundColor);
void ClearEditorViewSelectionBackgroundColor(EDITOR_VIEW *view);
void ViewsEndSelectionChange(EDITOR_BUFFER *buffer);
void ViewsStartSelectionChange(EDITOR_BUFFER *buffer);
void ViewInvalidateMark(EDITOR_VIEW *view,EDITOR_MARK *mark);
void ViewsInvalidateMark(EDITOR_MARK *mark);
void ViewsEndMarkChange(EDITOR_MARK *mark);
void ViewsStartMarkChange(EDITOR_MARK *mark);
void ViewsStartStyleChange(EDITOR_BUFFER *buffer);
void ViewsEndStyleChange(EDITOR_BUFFER *buffer);
void ViewsStartTextChange(EDITOR_BUFFER *buffer);
void ViewsEndTextChange(EDITOR_BUFFER *buffer);
void EditorActivateView(EDITOR_VIEW *view);
void EditorDeactivateView(EDITOR_VIEW *view);
void DisposeEditorView(EDITOR_VIEW *view);
EDITOR_VIEW *CreateEditorView(EDITOR_WINDOW *window,EDITOR_VIEW_DESCRIPTOR *descriptor);
